Get All Users Info

Get All Users Info
List local and remote users and groups

Returns the users and groups known to Installer, whether defined locally or discovered through a configured LDAP identity source. Use the role and user_type filters to narrow results, for example to find every user who holds the auditor role.

Request
URI
GET
https://{api_host}/https://{api_host}:{port}/lh-appliance/iam/users
COPY
Query Parameters
string
name
Optional

Return only entries whose name contains this value (case-insensitive, partial match).

role
Optional

Return only entries that hold at least one of these roles.

of UserType array
user_type
Optional

Return only entries of these user types, e.g. restrict results to LOCAL_USER.

integer
offset
Optional
Constraints: minimum: 0 default: 0

Offset pagination parameter used to exclude from a response the first N items of a resource collection. Combine the offset and the page_size options to request a particular set or page of items.

integer
page_size
Optional
Constraints: minimum: 0 default: 1000

Number of records to be returned in the API request from the provided offset

boolean,null
sort_ascending
Optional
Constraints: default: false

True, if the list of records returned need to be sorted in ascending order, false otherwise.

string
sort_by
Optional

The parameter name on which to sort the list of records. Only top-level parameters in the returned list of records will be supported. If not provided, system will define the parameter by which results are sorted.


Authentication
This operation uses the following authentication methods.
Responses
200

The list of matching users and groups was retrieved successfully.

Returns UserInfoList of type(s) application/json
This response body class contains all of the following: ListResult , InlineUserInfoList1
{
    "offset": 0,
    "number_of_results": 1,
    "total_result_count": 1,
    "total_pages": 1,
    "sort_ascending": true,
    "sort_by": "name",
    "results": [
        {
            "name": "admin",
            "display_name": "Administrator",
            "user_type": "LOCAL_USER",
            "password_status": "ACTIVE",
            "roles": [
                {
                    "role": "ENTERPRISE_ADMIN",
                    "display_name": "Enterprise Admin"
                }
            ]
        }
    ]
}

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


default

4XX and 5XX type errors with appropriate message

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/https://{api_host}:{port}/lh-appliance/iam/users